Loading...
Security Resources

Software Updates

TrustKeeper Scan Engine Update for January 15, 2020

Summary

The latest update to the TrustKeeper scan engine that powers our Trustwave Vulnerability Management product (including both internal and external vulnerability scanning) is now available. Enjoy!


New Vulnerability Test Highlights

Some of the more interesting checks we've added include coverage for the Citrix Netscaler Application Delivery Controller Path Traversal Vulnerability ( CVE-2019-19781, code-named "Shitrix"), End of Life checks for Microsoft Windows 7 SP1 / Server 2008 R2 / Server 2008 SP2, POODLE for TLS (CVE-2015-4078, CVE-2014-8730, CVE-2015-5369), as well as the following vulnerability checks:

 

Apache

  • Apache Tomcat FORM authentication fixation attack (CVE-2019-17563)
  • Apache Tomcat JMX Remote Lifecycle Listener Local Privilege Escalation (CVE-2019-12418)

Atlassian Jira

  • Atlassian Jira WorkflowResource Class Incorrect Authorization Vulnerability (CVE-2019-15013)

Drupal

  • Drupal Archive_Tar library File Processing Vulnerability (SA-CORE-2019-012)
  • Drupal Core file_save_upload Bypass .htaccess Protections Vulnerability (SA-CORE-2019-010)
  • Drupal Core install.php Denial of Service Vulnerability (SA-CORE-2019-009)
  • Drupal Media Library Module Access Bypass Vulnerability (SA-CORE-2019-011)

Hp Integrated Lights-Out

  • HP Integrated Lights-Out Authentication Bypass Vulnerability (HPSBMU02902) (CVE-2013-4805)
  • HP Integrated Lights-Out Denial of Service Vulnerability (HPESBHF03826) (CVE-2017-8987)
  • HP Integrated Lights-Out Local Disclosure of Privileged Information Vulnerability (HPESBHF03869) (CVE-2018-7112)

Joomla

  • Joomla configuration parameters SQL injections Vulnerabilities (20191202) (CVE-2019-19846)
  • Joomla Core Path Disclosure Vulnerability (20191201) (CVE-2019-19845)

OpenSSL

  • ProFTPD OpenSSL sk_X509_REVOKED_value NULL Pointer Vulnerability (CVE-2019-19269)

PHP

  • PHP bcmath Extension Out Of Bounds Read Vulnerability (CVE-2019-11046)
  • PHP DirectoryIterator Class Constructor Improper Null Termination Vulnerability (CVE-2019-11045)
  • PHP EXIF Extension Use After Free Vulnerability (CVE-2019-11050)
  • PHP EXIF MakerNote IFD Processor Function Out-of-Bounds Read Vulnerability (CVE-2019-11047)
  • PHP link Function Improper Null Termination Vulnerability (CVE-2019-11044)
  • PHP Mail function Double Free Vulnerability (CVE-2019-11049)

PhpMyAdmin

  • PhpMyAdmin Git Information Cross-site Scripting Vulnerability (CVE-2019-19617)
  • PhpMyAdmin server_privileges.lib.php SQL injection Vulnerability (PMASA-2020-1) (CVE-2020-5504)

ProFTPD

  • ProFTPD tls_verify_crl Improper Certificate Validation Vulnerability (CVE-2019-19270)
  • ProFTPD tls_verify_crl Improper Configuration Vulnerability (CVE-2019-19271)
  • ProFTPD tls_verify_crl NULL Pointer Vulnerability (CVE-2019-19272)

WordPress

  • WordPress Block Editor Content Stored Cross-Site Scripting Vulnerability (CVE-2019-16781, CVE-2019-16780)
  • WordPress Crafted Links Stored Cross-Site Scripting Vulnerability (CVE-2019-20042)
  • WordPress Improper Access Controls Vulnerability (CVE-2019-20043)
  • WordPress wp_kses_bad_protocol Function HTML5 Entity Input Validation Bypass Vulnerability (CVE-2019-20041)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates automatically as soon as an update is available. No action is required.